Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.war.action
Class ViewReportAction

    java.lang.Object
      org.springframework.webflow.action.AbstractAction
          org.springframework.webflow.action.MultiAction
              org.springframework.webflow.action.FormAction
                  com.jaspersoft.jasperserver.war.action.ReportParametersAction
                      com.jaspersoft.jasperserver.war.action.ViewReportAction

All Implemented Interfaces:
  ReportInputControlsAction, org.springframework.beans.factory.InitializingBean, org.springframework.webflow.execution.Action

    public class ViewReportAction

extends ReportParametersAction

Version:
  $Id: ViewReportAction.java 10070 2007-09-14 07:12:48Z lucian $
Author:
  Ionut Nedelcu (ionutned@users.sourceforge.net)

Nested Class Summary
`protected static class` | `ViewReportAction.InputsState`

Nested classes/interfaces inherited from class com.jaspersoft.jasperserver.war.action.ReportParametersAction
`ReportParametersAction.InputValueProvider, ReportParametersAction.MapValueProvider`

Nested classes/interfaces inherited from class org.springframework.webflow.action.MultiAction
`org.springframework.webflow.action.MultiAction.MethodResolver`

Field Summary
`protected static org.apache.commons.logging.Log` | `log`
`static java.lang.String` | `REPORTUNIT_URI`

Fields inherited from class com.jaspersoft.jasperserver.war.action.ReportParametersAction
`INPUTWRAPPERS_ATTR`

Fields inherited from class org.springframework.webflow.action.FormAction
`DEFAULT_FORM_OBJECT_NAME, VALIDATOR_METHOD_ATTRIBUTE`

Fields inherited from class org.springframework.webflow.action.AbstractAction
`logger`

Constructor Summary
`ViewReportAction()`

Method Summary
`protected void` | `addReportExecutionParameters(org.springframework.webflow.execution.RequestContext context, java.util.Map parameterValues)`
`protected void` | `applyInputsState(org.springframework.webflow.execution.RequestContext context, ViewReportAction.InputsState state)`
`org.springframework.webflow.execution.Event` | `checkForParams(org.springframework.webflow.execution.RequestContext context)`
`org.springframework.webflow.execution.Event` | `cleanSession(org.springframework.webflow.execution.RequestContext context)`
`protected java.util.Map` | `collectInputValues(org.springframework.webflow.execution.RequestContext context)`
`protected ViewReportAction.InputsState` | `createInputsState(org.springframework.webflow.execution.RequestContext context)`
`protected ReportUnitResult` | `executeReport(org.springframework.webflow.execution.RequestContext context)`
`java.lang.String` | `getAttributeReportControlsLayout()`
`java.lang.String` | `getAttributeReportForceControls()`
`java.lang.String` | `getAttributeSavedInputsState()`
`java.util.Map` | `getConfiguredExporters()`
`java.lang.String` | `getFlowAttributeDepth()`
`java.lang.String` | `getFlowAttributeInhibitRequestParsing()`
`java.lang.String` | `getFlowAttributeIsSubflow()`
`java.lang.String` | `getFlowAttributeJasperPrintName()`
`java.lang.String` | `getFlowAttributePageIndex()`
`java.lang.String` | `getFlowAttributeReportOutput()`
`java.lang.String` | `getFlowAttributeUseClientTimezone()`
`HyperlinkProducerFactoryFlowFactory` | `getHyperlinkProducerFactory()`
`SessionObjectSerieAccessor` | `getJasperPrintAccessor()`
`java.lang.String` | `getRequestAttributeHtmlLinkHandlerFactory()`
`java.lang.String` | `getRequestParameterPageIndex()`
`java.lang.String` | `getRequestParameterReportOutput()`
`java.lang.String` | `getTransactionAttributeRequestParsed()`
`VirtualizerFactory` | `getVirtualizerFactory()`
`protected void` | `initBinder(org.springframework.webflow.execution.RequestContext context, org.springframework.validation.DataBinder binder)`
`protected boolean` | `isControlsDialog(org.springframework.webflow.execution.RequestContext context)`
`protected boolean` | `isForceControls(org.springframework.webflow.execution.RequestContext context)`
`org.springframework.webflow.execution.Event` | `navigate(org.springframework.webflow.execution.RequestContext context)`
`protected boolean` | `needsInput(org.springframework.webflow.execution.RequestContext context, java.util.List wrappers)`
`org.springframework.webflow.execution.Event` | `prepareReportView(org.springframework.webflow.execution.RequestContext context)`
`protected void` | `removeCurrentJasperPrint(org.springframework.webflow.execution.RequestContext context)`
`org.springframework.webflow.execution.Event` | `resetInputsToDefaults(org.springframework.webflow.execution.RequestContext context)`
`protected ViewReportAction.InputsState` | `retrieveSavedInputsState(org.springframework.webflow.execution.RequestContext context)`
`org.springframework.webflow.execution.Event` | `revertToSavedInputs(org.springframework.webflow.execution.RequestContext context)`
`protected void` | `saveInputsState(org.springframework.webflow.execution.RequestContext context)`
`void` | `setAttributeReportControlsLayout(java.lang.String attributeReportControlsLayout)`
`void` | `setAttributeReportForceControls(java.lang.String attributeReportForceControls)`
`void` | `setAttributeSavedInputsState(java.lang.String attributeLastInputsState)`
`void` | `setConfiguredExporters(java.util.Map configuredExporters)`
`void` | `setFlowAttributeDepth(java.lang.String flowAttributeDepth)`
`void` | `setFlowAttributeInhibitRequestParsing(java.lang.String flowAttributeInhibitRequestParsing)`
`void` | `setFlowAttributeIsSubflow(java.lang.String requestAttributeIsSubflow)`
`void` | `setFlowAttributeJasperPrintName(java.lang.String flowAttributeJasperPrintName)`
`void` | `setFlowAttributePageIndex(java.lang.String flowAttributePageIndex)`
`void` | `setFlowAttributeReportOutput(java.lang.String flowAttributeReportOutput)`
`void` | `setFlowAttributeUseClientTimezone(java.lang.String flowAttributeUseClientTimezone)`
`void` | `setHyperlinkProducerFactory(HyperlinkProducerFactoryFlowFactory hyperlinkProducerFactory)`
`protected void` | `setJasperPrint(org.springframework.webflow.execution.RequestContext context, ReportUnitResult result)`
`void` | `setJasperPrintAccessor(SessionObjectSerieAccessor jasperPrintAccessor)`
`protected void` | `setReportUnitAttributes(org.springframework.webflow.execution.RequestContext context, ReportUnit reportUnit)`
`void` | `setRequestAttributeHtmlLinkHandlerFactory(java.lang.String requestAttributeHtmlLinkHandlerFactory)`
`void` | `setRequestParameterPageIndex(java.lang.String requestParameterPageIndex)`
`void` | `setRequestParameterReportOutput(java.lang.String requestParameterReportOutput)`
`void` | `setTransactionAttributeRequestParsed(java.lang.String transactionAttributeRequestParsed)`
`void` | `setVirtualizerFactory(VirtualizerFactory virtualizerFactory)`
`protected boolean` | `toParseRequest(org.springframework.webflow.execution.RequestContext context)`
`org.springframework.webflow.execution.Event` | `verifyData(org.springframework.webflow.execution.RequestContext context)`

Methods inherited from class com.jaspersoft.jasperserver.war.action.ReportParametersAction
`addCustomParameters, bindParameterValues, createWrappers, createWrappers, defaultValuesProvider, executeQuery, getAttributeDefaultInputValues, getCalendarDatePattern, getCalendarDatePatternAttrName, getCalendarDatetimePattern, getCalendarDatetimePatternAttrName, getCalendarFormatProvider, getControlsDisplayFormAttrName, getDatatype, getDateFormat, getDatetimeFormat, getDSTSavings, getEngine, getHasInputControlsAttrName, getInputControlWrappers, getInputNamePrefix, getLovValue, getMarkerParameterPrefix, getMessages, getParameterMultiValue, getParameterName, getParameterNumberValue, getParameterValues, getQueryValue, getReportDisplayFormAttrName, getReportParameters, getReportUnitAttrName, getReportUnitObjectAttrName, getReportURI, getRepository, getStaticDatePattern, hasInputs, initialValueProvider, loadDefaultInputValues, loadReportUnit, parseRequest, parseRequestInput, parseRequestValue, parseRequestValues, realDatatypeValue, resetValuesToDefaults, setAttributeDefaultInputValues, setCalendarDatePatternAttrName, setCalendarDatetimePatternAttrName, setCalendarFormatProvider, setControlsDisplayFormAttrName, setEngine, setHasInputControlsAttrName, setInputControlParameterValue, setInputNamePrefix, setInputParameterValues, setInputValues, setMarkerParameterPrefix, setMessages, setParameterValues, setReportDisplayFormAttrName, setReportUnitAttrName, setReportUnitObjectAttrName, setRepository, setStaticDatePattern, toInputControlNumber, toInputControlValue, toMultiInputControlValue, validateValue, validateValues`

Methods inherited from class org.springframework.webflow.action.FormAction
`bind, bindAndValidate, createBinder, createFormObject, doBind, doValidate, getFormErrors, getFormErrorsScope, getFormObject, getFormObjectAccessor, getFormObjectClass, getFormObjectName, getFormObjectScope, getMessageCodesResolver, getPropertyEditorRegistrar, getValidateMethodInvoker, getValidator, initAction, registerPropertyEditors, registerPropertyEditors, resetForm, setFormErrorsScope, setFormObjectClass, setFormObjectName, setFormObjectScope, setMessageCodesResolver, setPropertyEditorRegistrar, setupForm, setValidator, validate, validationEnabled`

Methods inherited from class org.springframework.webflow.action.MultiAction
`doExecute, getMethodResolver, setMethodResolver, setTarget`

Methods inherited from class org.springframework.webflow.action.AbstractAction
`afterPropertiesSet, doPostExecute, doPreExecute, error, error, execute, getActionNameForLogging, getEventFactorySupport, no, result, result, result, result, success, success, yes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.springframework.beans.factory.InitializingBean
`afterPropertiesSet`

Field Detail

### log

    protected static final org.apache.commons.logging.Log log

### REPORTUNIT_URI

    public static final java.lang.String REPORTUNIT_URI

See Also:
  Constant Field Values

Constructor Detail

### ViewReportAction

    public ViewReportAction()

Method Detail

### checkForParams

    public org.springframework.webflow.execution.Event checkForParams(org.springframework.webflow.execution.RequestContext context)
                                                               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### setReportUnitAttributes

    protected void setReportUnitAttributes(org.springframework.webflow.execution.RequestContext context,
                                           ReportUnit reportUnit)

  Overrides:
    `setReportUnitAttributes` in class `ReportParametersAction`

### isForceControls

    protected boolean isForceControls(org.springframework.webflow.execution.RequestContext context)

### isControlsDialog

    protected boolean isControlsDialog(org.springframework.webflow.execution.RequestContext context)

### toParseRequest

    protected boolean toParseRequest(org.springframework.webflow.execution.RequestContext context)

### needsInput

    protected boolean needsInput(org.springframework.webflow.execution.RequestContext context,
                                 java.util.List wrappers)

  Overrides:
    `needsInput` in class `ReportParametersAction`

### addReportExecutionParameters

    protected void addReportExecutionParameters(org.springframework.webflow.execution.RequestContext context,
                                                java.util.Map parameterValues)

### verifyData

    public org.springframework.webflow.execution.Event verifyData(org.springframework.webflow.execution.RequestContext context)

### saveInputsState

    protected void saveInputsState(org.springframework.webflow.execution.RequestContext context)

### createInputsState

    protected ViewReportAction.InputsState createInputsState(org.springframework.webflow.execution.RequestContext context)

### collectInputValues

    protected java.util.Map collectInputValues(org.springframework.webflow.execution.RequestContext context)

### revertToSavedInputs

    public org.springframework.webflow.execution.Event revertToSavedInputs(org.springframework.webflow.execution.RequestContext context)

### retrieveSavedInputsState

    protected ViewReportAction.InputsState retrieveSavedInputsState(org.springframework.webflow.execution.RequestContext context)

### applyInputsState

    protected void applyInputsState(org.springframework.webflow.execution.RequestContext context,
                                    ViewReportAction.InputsState state)

### executeReport

    protected ReportUnitResult executeReport(org.springframework.webflow.execution.RequestContext context)

### setJasperPrint

    protected void setJasperPrint(org.springframework.webflow.execution.RequestContext context,
                                  ReportUnitResult result)

### navigate

    public org.springframework.webflow.execution.Event navigate(org.springframework.webflow.execution.RequestContext context)

### prepareReportView

    public org.springframework.webflow.execution.Event prepareReportView(org.springframework.webflow.execution.RequestContext context)

### cleanSession

    public org.springframework.webflow.execution.Event cleanSession(org.springframework.webflow.execution.RequestContext context)

### removeCurrentJasperPrint

    protected void removeCurrentJasperPrint(org.springframework.webflow.execution.RequestContext context)

### initBinder

    protected void initBinder(org.springframework.webflow.execution.RequestContext context,
                              org.springframework.validation.DataBinder binder)

  Overrides:
    `initBinder` in class `org.springframework.webflow.action.FormAction`

### resetInputsToDefaults

    public org.springframework.webflow.execution.Event resetInputsToDefaults(org.springframework.webflow.execution.RequestContext context)

### getTransactionAttributeRequestParsed

    public java.lang.String getTransactionAttributeRequestParsed()

### setTransactionAttributeRequestParsed

    public void setTransactionAttributeRequestParsed(java.lang.String transactionAttributeRequestParsed)

### getFlowAttributeInhibitRequestParsing

    public java.lang.String getFlowAttributeInhibitRequestParsing()

### setFlowAttributeInhibitRequestParsing

    public void setFlowAttributeInhibitRequestParsing(java.lang.String flowAttributeInhibitRequestParsing)

### getFlowAttributePageIndex

    public java.lang.String getFlowAttributePageIndex()

### setFlowAttributePageIndex

    public void setFlowAttributePageIndex(java.lang.String flowAttributePageIndex)

### getRequestParameterPageIndex

    public java.lang.String getRequestParameterPageIndex()

### setRequestParameterPageIndex

    public void setRequestParameterPageIndex(java.lang.String requestParameterPageIndex)

### getRequestAttributeHtmlLinkHandlerFactory

    public java.lang.String getRequestAttributeHtmlLinkHandlerFactory()

### setRequestAttributeHtmlLinkHandlerFactory

    public void setRequestAttributeHtmlLinkHandlerFactory(java.lang.String requestAttributeHtmlLinkHandlerFactory)

### getFlowAttributeDepth

    public java.lang.String getFlowAttributeDepth()

### setFlowAttributeDepth

    public void setFlowAttributeDepth(java.lang.String flowAttributeDepth)

### getFlowAttributeJasperPrintName

    public java.lang.String getFlowAttributeJasperPrintName()

### setFlowAttributeJasperPrintName

    public void setFlowAttributeJasperPrintName(java.lang.String flowAttributeJasperPrintName)

### getHyperlinkProducerFactory

    public HyperlinkProducerFactoryFlowFactory getHyperlinkProducerFactory()

### setHyperlinkProducerFactory

    public void setHyperlinkProducerFactory(HyperlinkProducerFactoryFlowFactory hyperlinkProducerFactory)

### getFlowAttributeIsSubflow

    public java.lang.String getFlowAttributeIsSubflow()

### setFlowAttributeIsSubflow

    public void setFlowAttributeIsSubflow(java.lang.String requestAttributeIsSubflow)

### getFlowAttributeReportOutput

    public java.lang.String getFlowAttributeReportOutput()

### setFlowAttributeReportOutput

    public void setFlowAttributeReportOutput(java.lang.String flowAttributeReportOutput)

### getRequestParameterReportOutput

    public java.lang.String getRequestParameterReportOutput()

### setRequestParameterReportOutput

    public void setRequestParameterReportOutput(java.lang.String requestParameterReportOutput)

### getFlowAttributeUseClientTimezone

    public java.lang.String getFlowAttributeUseClientTimezone()

### setFlowAttributeUseClientTimezone

    public void setFlowAttributeUseClientTimezone(java.lang.String flowAttributeUseClientTimezone)

### getJasperPrintAccessor

    public SessionObjectSerieAccessor getJasperPrintAccessor()

### setJasperPrintAccessor

    public void setJasperPrintAccessor(SessionObjectSerieAccessor jasperPrintAccessor)

### getVirtualizerFactory

    public VirtualizerFactory getVirtualizerFactory()

### setVirtualizerFactory

    public void setVirtualizerFactory(VirtualizerFactory virtualizerFactory)

### getConfiguredExporters

    public java.util.Map getConfiguredExporters()

  Returns:
    Returns the configuredExporters.

### setConfiguredExporters

    public void setConfiguredExporters(java.util.Map configuredExporters)

  Parameters:
    `configuredExporters` - The configuredExporters to set.

### getAttributeReportControlsLayout

    public java.lang.String getAttributeReportControlsLayout()

### setAttributeReportControlsLayout

    public void setAttributeReportControlsLayout(java.lang.String attributeReportControlsLayout)

### getAttributeReportForceControls

    public java.lang.String getAttributeReportForceControls()

### setAttributeReportForceControls

    public void setAttributeReportForceControls(java.lang.String attributeReportForceControls)

### getAttributeSavedInputsState

    public java.lang.String getAttributeSavedInputsState()

### setAttributeSavedInputsState

    public void setAttributeSavedInputsState(java.lang.String attributeLastInputsState)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.